// Stencil
import { h } from "@stencil/core";
export class PlacePresentationFeatures {
    constructor() {
        // Props
        this.features = null;
        this.featuresTitle = '';
    }
    ////////////////////////////////////////////////////////////////
    // Render
    ////////////////////////////////////////////////////////////////
    render() {
        return (h("div", null,
            h("div", null,
                h("h4", { class: 'place-section-title' }, this.featuresTitle),
                h("div", { class: "features-container" },
                    h("ion-grid", null,
                        h("ion-row", null, this.features.map(feature => h("ion-col", { size: "6", sizeXs: "6", sizeSm: "6", sizeMd: "4", sizeLg: "4", sizeXl: "3" },
                            h("div", { class: "feature-container" },
                                h("slot", { name: feature.name }),
                                h("p", null, feature.name))))))))));
    }
    static get is() { return "place-presentation-features"; }
    static get originalStyleUrls() { return {
        "$": ["place-presentation-features.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["place-presentation-features.css"]
    }; }
    static get properties() { return {
        "features": {
            "type": "unknown",
            "mutable": false,
            "complexType": {
                "original": "PlaceFeature[]",
                "resolved": "PlaceFeature[]",
                "references": {
                    "PlaceFeature": {
                        "location": "import",
                        "path": "../../../../models/place/place-feature-model"
                    }
                }
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "defaultValue": "null"
        },
        "featuresTitle": {
            "type": "string",
            "mutable": true,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": ""
            },
            "attribute": "features-title",
            "reflect": false,
            "defaultValue": "''"
        }
    }; }
}
